400
invalid_requestThe request did not satisfy the documented contract.
Beladed Loyalty API
Create Coupon through the reviewed Beladed Loyalty contract.
/api/incentive/loyalty/createcurl --request POST 'https://api.beladed.dev/api/incentive/loyalty/create' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Beladed-API-Key: BELADED_SECRET_KEY' \
--data '{
"teamId": "id_demo_001",
"category": "Fashion & Accessories",
"loyaltyType": "Coupon",
"title": "Exclusive Membership Reward",
"description": "Get access to premium features with this reward.",
"tags": "premium, membership, reward",
"price": "29.99",
"tokenAmount": 250,
"isProcessPayment": true,
"isShipping": false,
"redirectUrl": "https://merchant.example.invalid/beladed/return",
"couponCode": "PREMIUM20",
"websiteUrl": "https://merchant.example.invalid",
"buttonText": "Activate Reward",
"releaseDate": "2024-11-25",
"releaseTime": "10:00:00",
"expiresDate": "2024-12-25",
"expiresTime": "23:59:59",
"activationType": "auto",
"coverPhotoUrl": "https://merchant.example.invalid",
"videoPlaybackUrl": "https://merchant.example.invalid",
"galleryPhotos": [
"https://merchant.example.invalid",
"https://merchant.example.invalid"
],
"didInviteUsers": true,
"invitedData": [
{
"targetType": "email",
"targetId": "[email protected]"
},
{
"targetType": "accountId",
"targetId": "u12345bc-d87e-890f-gh12-ijk345678xyz"
}
],
"didShareItem": true,
"sharedData": [
{
"platform": "Facebook",
"shareCount": 50
},
{
"platform": "Twitter",
"shareCount": 30
}
],
"didPromoteItem": false,
"promotedData": [],
"createdBy": "admin123",
"createdAt": "2024-11-20T14:30:00",
"updatedBy": "admin123",
"updatedAt": "2024-11-20T14:30:00"
}'const response = await fetch("https://api.beladed.dev/api/incentive/loyalty/create", {
method: "POST",
headers: {
"Accept": "application/json",
"Content-Type": "application/json",
"X-Beladed-API-Key": "BELADED_SECRET_KEY"
},
body: JSON.stringify({
"teamId": "id_demo_001",
"category": "Fashion & Accessories",
"loyaltyType": "Coupon",
"title": "Exclusive Membership Reward",
"description": "Get access to premium features with this reward.",
"tags": "premium, membership, reward",
"price": "29.99",
"tokenAmount": 250,
"isProcessPayment": true,
"isShipping": false,
"redirectUrl": "https://merchant.example.invalid/beladed/return",
"couponCode": "PREMIUM20",
"websiteUrl": "https://merchant.example.invalid",
"buttonText": "Activate Reward",
"releaseDate": "2024-11-25",
"releaseTime": "10:00:00",
"expiresDate": "2024-12-25",
"expiresTime": "23:59:59",
"activationType": "auto",
"coverPhotoUrl": "https://merchant.example.invalid",
"videoPlaybackUrl": "https://merchant.example.invalid",
"galleryPhotos": [
"https://merchant.example.invalid",
"https://merchant.example.invalid"
],
"didInviteUsers": true,
"invitedData": [
{
"targetType": "email",
"targetId": "[email protected]"
},
{
"targetType": "accountId",
"targetId": "u12345bc-d87e-890f-gh12-ijk345678xyz"
}
],
"didShareItem": true,
"sharedData": [
{
"platform": "Facebook",
"shareCount": 50
},
{
"platform": "Twitter",
"shareCount": 30
}
],
"didPromoteItem": false,
"promotedData": [],
"createdBy": "admin123",
"createdAt": "2024-11-20T14:30:00",
"updatedBy": "admin123",
"updatedAt": "2024-11-20T14:30:00"
})
});
const data = await response.json();import requests
response = requests.request(
"POST",
"https://api.beladed.dev/api/incentive/loyalty/create",
headers={"Accept":"application/json","Content-Type":"application/json","X-Beladed-API-Key":"BELADED_SECRET_KEY"},
json={
"teamId": "id_demo_001",
"category": "Fashion & Accessories",
"loyaltyType": "Coupon",
"title": "Exclusive Membership Reward",
"description": "Get access to premium features with this reward.",
"tags": "premium, membership, reward",
"price": "29.99",
"tokenAmount": 250,
"isProcessPayment": true,
"isShipping": false,
"redirectUrl": "https://merchant.example.invalid/beladed/return",
"couponCode": "PREMIUM20",
"websiteUrl": "https://merchant.example.invalid",
"buttonText": "Activate Reward",
"releaseDate": "2024-11-25",
"releaseTime": "10:00:00",
"expiresDate": "2024-12-25",
"expiresTime": "23:59:59",
"activationType": "auto",
"coverPhotoUrl": "https://merchant.example.invalid",
"videoPlaybackUrl": "https://merchant.example.invalid",
"galleryPhotos": [
"https://merchant.example.invalid",
"https://merchant.example.invalid"
],
"didInviteUsers": true,
"invitedData": [
{
"targetType": "email",
"targetId": "[email protected]"
},
{
"targetType": "accountId",
"targetId": "u12345bc-d87e-890f-gh12-ijk345678xyz"
}
],
"didShareItem": true,
"sharedData": [
{
"platform": "Facebook",
"shareCount": 50
},
{
"platform": "Twitter",
"shareCount": 30
}
],
"didPromoteItem": false,
"promotedData": [],
"createdBy": "admin123",
"createdAt": "2024-11-20T14:30:00",
"updatedBy": "admin123",
"updatedAt": "2024-11-20T14:30:00"
},
timeout=30,
)
response.raise_for_status()
data = response.json()<?php
$client = curl_init("https://api.beladed.dev/api/incentive/loyalty/create");
curl_setopt_array($client, [
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => ["Accept: application/json","Content-Type: application/json","X-Beladed-API-Key: BELADED_SECRET_KEY"],
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POSTFIELDS => json_encode({
"teamId": "id_demo_001",
"category": "Fashion & Accessories",
"loyaltyType": "Coupon",
"title": "Exclusive Membership Reward",
"description": "Get access to premium features with this reward.",
"tags": "premium, membership, reward",
"price": "29.99",
"tokenAmount": 250,
"isProcessPayment": true,
"isShipping": false,
"redirectUrl": "https://merchant.example.invalid/beladed/return",
"couponCode": "PREMIUM20",
"websiteUrl": "https://merchant.example.invalid",
"buttonText": "Activate Reward",
"releaseDate": "2024-11-25",
"releaseTime": "10:00:00",
"expiresDate": "2024-12-25",
"expiresTime": "23:59:59",
"activationType": "auto",
"coverPhotoUrl": "https://merchant.example.invalid",
"videoPlaybackUrl": "https://merchant.example.invalid",
"galleryPhotos": [
"https://merchant.example.invalid",
"https://merchant.example.invalid"
],
"didInviteUsers": true,
"invitedData": [
{
"targetType": "email",
"targetId": "[email protected]"
},
{
"targetType": "accountId",
"targetId": "u12345bc-d87e-890f-gh12-ijk345678xyz"
}
],
"didShareItem": true,
"sharedData": [
{
"platform": "Facebook",
"shareCount": 50
},
{
"platform": "Twitter",
"shareCount": 30
}
],
"didPromoteItem": false,
"promotedData": [],
"createdBy": "admin123",
"createdAt": "2024-11-20T14:30:00",
"updatedBy": "admin123",
"updatedAt": "2024-11-20T14:30:00"
}),
]);
$response = curl_exec($client);require "net/http"
require "json"
uri = URI("https://api.beladed.dev/api/incentive/loyalty/create")
request = Net::HTTP::Post.new(uri)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request["X-Beladed-API-Key"] = "BELADED_SECRET_KEY"
request.body = "{\n \"teamId\": \"id_demo_001\",\n \"category\": \"Fashion & Accessories\",\n \"loyaltyType\": \"Coupon\",\n \"title\": \"Exclusive Membership Reward\",\n \"description\": \"Get access to premium features with this reward.\",\n \"tags\": \"premium, membership, reward\",\n \"price\": \"29.99\",\n \"tokenAmount\": 250,\n \"isProcessPayment\": true,\n \"isShipping\": false,\n \"redirectUrl\": \"https://merchant.example.invalid/beladed/return\",\n \"couponCode\": \"PREMIUM20\",\n \"websiteUrl\": \"https://merchant.example.invalid\",\n \"buttonText\": \"Activate Reward\",\n \"releaseDate\": \"2024-11-25\",\n \"releaseTime\": \"10:00:00\",\n \"expiresDate\": \"2024-12-25\",\n \"expiresTime\": \"23:59:59\",\n \"activationType\": \"auto\",\n \"coverPhotoUrl\": \"https://merchant.example.invalid\",\n \"videoPlaybackUrl\": \"https://merchant.example.invalid\",\n \"galleryPhotos\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"didInviteUsers\": true,\n \"invitedData\": [\n {\n \"targetType\": \"email\",\n \"targetId\": \"[email protected]\"\n },\n {\n \"targetType\": \"accountId\",\n \"targetId\": \"u12345bc-d87e-890f-gh12-ijk345678xyz\"\n }\n ],\n \"didShareItem\": true,\n \"sharedData\": [\n {\n \"platform\": \"Facebook\",\n \"shareCount\": 50\n },\n {\n \"platform\": \"Twitter\",\n \"shareCount\": 30\n }\n ],\n \"didPromoteItem\": false,\n \"promotedData\": [],\n \"createdBy\": \"admin123\",\n \"createdAt\": \"2024-11-20T14:30:00\",\n \"updatedBy\": \"admin123\",\n \"updatedAt\": \"2024-11-20T14:30:00\"\n}"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(request) }var request = java.net.http.HttpRequest.newBuilder()
.uri(java.net.URI.create("https://api.beladed.dev/api/incentive/loyalty/create"))
.header("Accept", "application/json")
.header("Content-Type", "application/json")
.header("X-Beladed-API-Key", "BELADED_SECRET_KEY")
.method("POST", java.net.http.HttpRequest.BodyPublishers.ofString("{\n \"teamId\": \"id_demo_001\",\n \"category\": \"Fashion & Accessories\",\n \"loyaltyType\": \"Coupon\",\n \"title\": \"Exclusive Membership Reward\",\n \"description\": \"Get access to premium features with this reward.\",\n \"tags\": \"premium, membership, reward\",\n \"price\": \"29.99\",\n \"tokenAmount\": 250,\n \"isProcessPayment\": true,\n \"isShipping\": false,\n \"redirectUrl\": \"https://merchant.example.invalid/beladed/return\",\n \"couponCode\": \"PREMIUM20\",\n \"websiteUrl\": \"https://merchant.example.invalid\",\n \"buttonText\": \"Activate Reward\",\n \"releaseDate\": \"2024-11-25\",\n \"releaseTime\": \"10:00:00\",\n \"expiresDate\": \"2024-12-25\",\n \"expiresTime\": \"23:59:59\",\n \"activationType\": \"auto\",\n \"coverPhotoUrl\": \"https://merchant.example.invalid\",\n \"videoPlaybackUrl\": \"https://merchant.example.invalid\",\n \"galleryPhotos\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"didInviteUsers\": true,\n \"invitedData\": [\n {\n \"targetType\": \"email\",\n \"targetId\": \"[email protected]\"\n },\n {\n \"targetType\": \"accountId\",\n \"targetId\": \"u12345bc-d87e-890f-gh12-ijk345678xyz\"\n }\n ],\n \"didShareItem\": true,\n \"sharedData\": [\n {\n \"platform\": \"Facebook\",\n \"shareCount\": 50\n },\n {\n \"platform\": \"Twitter\",\n \"shareCount\": 30\n }\n ],\n \"didPromoteItem\": false,\n \"promotedData\": [],\n \"createdBy\": \"admin123\",\n \"createdAt\": \"2024-11-20T14:30:00\",\n \"updatedBy\": \"admin123\",\n \"updatedAt\": \"2024-11-20T14:30:00\"\n}"))
.build();
var response = java.net.http.HttpClient.newHttpClient().send(request, java.net.http.HttpResponse.BodyHandlers.ofString());package main
import (
"bytes"
"net/http"
)
func callBeladed() (*http.Response, error) {
body := []byte("{\n \"teamId\": \"id_demo_001\",\n \"category\": \"Fashion & Accessories\",\n \"loyaltyType\": \"Coupon\",\n \"title\": \"Exclusive Membership Reward\",\n \"description\": \"Get access to premium features with this reward.\",\n \"tags\": \"premium, membership, reward\",\n \"price\": \"29.99\",\n \"tokenAmount\": 250,\n \"isProcessPayment\": true,\n \"isShipping\": false,\n \"redirectUrl\": \"https://merchant.example.invalid/beladed/return\",\n \"couponCode\": \"PREMIUM20\",\n \"websiteUrl\": \"https://merchant.example.invalid\",\n \"buttonText\": \"Activate Reward\",\n \"releaseDate\": \"2024-11-25\",\n \"releaseTime\": \"10:00:00\",\n \"expiresDate\": \"2024-12-25\",\n \"expiresTime\": \"23:59:59\",\n \"activationType\": \"auto\",\n \"coverPhotoUrl\": \"https://merchant.example.invalid\",\n \"videoPlaybackUrl\": \"https://merchant.example.invalid\",\n \"galleryPhotos\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"didInviteUsers\": true,\n \"invitedData\": [\n {\n \"targetType\": \"email\",\n \"targetId\": \"[email protected]\"\n },\n {\n \"targetType\": \"accountId\",\n \"targetId\": \"u12345bc-d87e-890f-gh12-ijk345678xyz\"\n }\n ],\n \"didShareItem\": true,\n \"sharedData\": [\n {\n \"platform\": \"Facebook\",\n \"shareCount\": 50\n },\n {\n \"platform\": \"Twitter\",\n \"shareCount\": 30\n }\n ],\n \"didPromoteItem\": false,\n \"promotedData\": [],\n \"createdBy\": \"admin123\",\n \"createdAt\": \"2024-11-20T14:30:00\",\n \"updatedBy\": \"admin123\",\n \"updatedAt\": \"2024-11-20T14:30:00\"\n}")
request, err := http.NewRequest("POST", "https://api.beladed.dev/api/incentive/loyalty/create", bytes.NewReader(body))
if err != nil { return nil, err }
request.Header.Set("Accept", "application/json")
request.Header.Set("Content-Type", "application/json")
request.Header.Set("X-Beladed-API-Key", "BELADED_SECRET_KEY")
return http.DefaultClient.Do(request)
}using var client = new HttpClient();
using var request = new HttpRequestMessage(new HttpMethod("POST"), "https://api.beladed.dev/api/incentive/loyalty/create");
request.Headers.TryAddWithoutValidation("Accept", "application/json");
request.Headers.TryAddWithoutValidation("Content-Type", "application/json");
request.Headers.TryAddWithoutValidation("X-Beladed-API-Key", "BELADED_SECRET_KEY");
request.Content = new StringContent("{\n \"teamId\": \"id_demo_001\",\n \"category\": \"Fashion & Accessories\",\n \"loyaltyType\": \"Coupon\",\n \"title\": \"Exclusive Membership Reward\",\n \"description\": \"Get access to premium features with this reward.\",\n \"tags\": \"premium, membership, reward\",\n \"price\": \"29.99\",\n \"tokenAmount\": 250,\n \"isProcessPayment\": true,\n \"isShipping\": false,\n \"redirectUrl\": \"https://merchant.example.invalid/beladed/return\",\n \"couponCode\": \"PREMIUM20\",\n \"websiteUrl\": \"https://merchant.example.invalid\",\n \"buttonText\": \"Activate Reward\",\n \"releaseDate\": \"2024-11-25\",\n \"releaseTime\": \"10:00:00\",\n \"expiresDate\": \"2024-12-25\",\n \"expiresTime\": \"23:59:59\",\n \"activationType\": \"auto\",\n \"coverPhotoUrl\": \"https://merchant.example.invalid\",\n \"videoPlaybackUrl\": \"https://merchant.example.invalid\",\n \"galleryPhotos\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"didInviteUsers\": true,\n \"invitedData\": [\n {\n \"targetType\": \"email\",\n \"targetId\": \"[email protected]\"\n },\n {\n \"targetType\": \"accountId\",\n \"targetId\": \"u12345bc-d87e-890f-gh12-ijk345678xyz\"\n }\n ],\n \"didShareItem\": true,\n \"sharedData\": [\n {\n \"platform\": \"Facebook\",\n \"shareCount\": 50\n },\n {\n \"platform\": \"Twitter\",\n \"shareCount\": 30\n }\n ],\n \"didPromoteItem\": false,\n \"promotedData\": [],\n \"createdBy\": \"admin123\",\n \"createdAt\": \"2024-11-20T14:30:00\",\n \"updatedBy\": \"admin123\",\n \"updatedAt\": \"2024-11-20T14:30:00\"\n}", System.Text.Encoding.UTF8, "application/json");
using var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();var request = URLRequest(url: URL(string: "https://api.beladed.dev/api/incentive/loyalty/create")!)
request.httpMethod = "POST"
request.setValue("application/json", forHTTPHeaderField: "Accept")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.setValue("BELADED_SECRET_KEY", forHTTPHeaderField: "X-Beladed-API-Key")
request.httpBody = "{\n \"teamId\": \"id_demo_001\",\n \"category\": \"Fashion & Accessories\",\n \"loyaltyType\": \"Coupon\",\n \"title\": \"Exclusive Membership Reward\",\n \"description\": \"Get access to premium features with this reward.\",\n \"tags\": \"premium, membership, reward\",\n \"price\": \"29.99\",\n \"tokenAmount\": 250,\n \"isProcessPayment\": true,\n \"isShipping\": false,\n \"redirectUrl\": \"https://merchant.example.invalid/beladed/return\",\n \"couponCode\": \"PREMIUM20\",\n \"websiteUrl\": \"https://merchant.example.invalid\",\n \"buttonText\": \"Activate Reward\",\n \"releaseDate\": \"2024-11-25\",\n \"releaseTime\": \"10:00:00\",\n \"expiresDate\": \"2024-12-25\",\n \"expiresTime\": \"23:59:59\",\n \"activationType\": \"auto\",\n \"coverPhotoUrl\": \"https://merchant.example.invalid\",\n \"videoPlaybackUrl\": \"https://merchant.example.invalid\",\n \"galleryPhotos\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"didInviteUsers\": true,\n \"invitedData\": [\n {\n \"targetType\": \"email\",\n \"targetId\": \"[email protected]\"\n },\n {\n \"targetType\": \"accountId\",\n \"targetId\": \"u12345bc-d87e-890f-gh12-ijk345678xyz\"\n }\n ],\n \"didShareItem\": true,\n \"sharedData\": [\n {\n \"platform\": \"Facebook\",\n \"shareCount\": 50\n },\n {\n \"platform\": \"Twitter\",\n \"shareCount\": 30\n }\n ],\n \"didPromoteItem\": false,\n \"promotedData\": [],\n \"createdBy\": \"admin123\",\n \"createdAt\": \"2024-11-20T14:30:00\",\n \"updatedBy\": \"admin123\",\n \"updatedAt\": \"2024-11-20T14:30:00\"\n}".data(using: .utf8)
let (data, response) = try await URLSession.shared.data(for: request)val request = okhttp3.Request.Builder()
.url("https://api.beladed.dev/api/incentive/loyalty/create")
.addHeader("Accept", "application/json")
.addHeader("Content-Type", "application/json")
.addHeader("X-Beladed-API-Key", "BELADED_SECRET_KEY")
.method("POST", okhttp3.RequestBody.create(okhttp3.MediaType.get("application/json"), "{\n \"teamId\": \"id_demo_001\",\n \"category\": \"Fashion & Accessories\",\n \"loyaltyType\": \"Coupon\",\n \"title\": \"Exclusive Membership Reward\",\n \"description\": \"Get access to premium features with this reward.\",\n \"tags\": \"premium, membership, reward\",\n \"price\": \"29.99\",\n \"tokenAmount\": 250,\n \"isProcessPayment\": true,\n \"isShipping\": false,\n \"redirectUrl\": \"https://merchant.example.invalid/beladed/return\",\n \"couponCode\": \"PREMIUM20\",\n \"websiteUrl\": \"https://merchant.example.invalid\",\n \"buttonText\": \"Activate Reward\",\n \"releaseDate\": \"2024-11-25\",\n \"releaseTime\": \"10:00:00\",\n \"expiresDate\": \"2024-12-25\",\n \"expiresTime\": \"23:59:59\",\n \"activationType\": \"auto\",\n \"coverPhotoUrl\": \"https://merchant.example.invalid\",\n \"videoPlaybackUrl\": \"https://merchant.example.invalid\",\n \"galleryPhotos\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"didInviteUsers\": true,\n \"invitedData\": [\n {\n \"targetType\": \"email\",\n \"targetId\": \"[email protected]\"\n },\n {\n \"targetType\": \"accountId\",\n \"targetId\": \"u12345bc-d87e-890f-gh12-ijk345678xyz\"\n }\n ],\n \"didShareItem\": true,\n \"sharedData\": [\n {\n \"platform\": \"Facebook\",\n \"shareCount\": 50\n },\n {\n \"platform\": \"Twitter\",\n \"shareCount\": 30\n }\n ],\n \"didPromoteItem\": false,\n \"promotedData\": [],\n \"createdBy\": \"admin123\",\n \"createdAt\": \"2024-11-20T14:30:00\",\n \"updatedBy\": \"admin123\",\n \"updatedAt\": \"2024-11-20T14:30:00\"\n}"))
.build()
val response = okhttp3.OkHttpClient().newCall(request).execute()
This operation has no documented parameters.
{
"type": "object",
"properties": {
"teamId": {
"type": "string"
},
"category": {
"type": "string"
},
"loyaltyType": {
"type": "string"
},
"title": {
"type": "string"
},
"description": {
"type": "string"
},
"tags": {
"type": "string"
},
"price": {
"type": "string"
},
"tokenAmount": {
"type": "integer"
},
"isProcessPayment": {
"type": "boolean"
},
"isShipping": {
"type": "boolean"
},
"redirectUrl": {
"type": "string"
},
"couponCode": {
"type": "string"
},
"websiteUrl": {
"type": "string"
},
"buttonText": {
"type": "string"
},
"releaseDate": {
"type": "string"
},
"releaseTime": {
"type": "string"
},
"expiresDate": {
"type": "string"
},
"expiresTime": {
"type": "string"
},
"activationType": {
"type": "string"
},
"coverPhotoUrl": {
"type": "string"
},
"videoPlaybackUrl": {
"type": "string"
},
"galleryPhotos": {
"type": "array",
"items": {
"type": "string"
}
},
"didInviteUsers": {
"type": "boolean"
},
"invitedData": {
"type": "array",
"items": {
"type": "object",
"properties": {
"targetType": {
"type": "string"
},
"targetId": {
"type": "string"
}
}
}
},
"didShareItem": {
"type": "boolean"
},
"sharedData": {
"type": "array",
"items": {
"type": "object",
"properties": {
"platform": {
"type": "string"
},
"shareCount": {
"type": "integer"
}
}
}
},
"didPromoteItem": {
"type": "boolean"
},
"promotedData": {
"type": "array",
"items": {}
},
"createdBy": {
"type": "string"
},
"createdAt": {
"type": "string"
},
"updatedBy": {
"type": "string"
},
"updatedAt": {
"type": "string"
}
}
}{
"teamId": "id_demo_001",
"category": "Fashion & Accessories",
"loyaltyType": "Coupon",
"title": "Exclusive Membership Reward",
"description": "Get access to premium features with this reward.",
"tags": "premium, membership, reward",
"price": "29.99",
"tokenAmount": 250,
"isProcessPayment": true,
"isShipping": false,
"redirectUrl": "https://merchant.example.invalid/beladed/return",
"couponCode": "PREMIUM20",
"websiteUrl": "https://merchant.example.invalid",
"buttonText": "Activate Reward",
"releaseDate": "2024-11-25",
"releaseTime": "10:00:00",
"expiresDate": "2024-12-25",
"expiresTime": "23:59:59",
"activationType": "auto",
"coverPhotoUrl": "https://merchant.example.invalid",
"videoPlaybackUrl": "https://merchant.example.invalid",
"galleryPhotos": [
"https://merchant.example.invalid",
"https://merchant.example.invalid"
],
"didInviteUsers": true,
"invitedData": [
{
"targetType": "email",
"targetId": "[email protected]"
},
{
"targetType": "accountId",
"targetId": "u12345bc-d87e-890f-gh12-ijk345678xyz"
}
],
"didShareItem": true,
"sharedData": [
{
"platform": "Facebook",
"shareCount": 50
},
{
"platform": "Twitter",
"shareCount": 30
}
],
"didPromoteItem": false,
"promotedData": [],
"createdBy": "admin123",
"createdAt": "2024-11-20T14:30:00",
"updatedBy": "admin123",
"updatedAt": "2024-11-20T14:30:00"
}
{
"type": "object",
"properties": {
"data": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"status": {
"type": "string"
}
}
},
"requestId": {
"type": "string"
}
}
}{
"data": {
"id": "id_demo_001",
"status": "available"
},
"requestId": "req_demo_001"
}
invalid_requestThe request did not satisfy the documented contract.
authentication_requiredThe credential is missing or invalid.
not_authorizedThe account, product scope, permission, or origin is not eligible.
not_foundThe requested public or account-owned resource was not found.
rate_limitedRetry after the current product limit resets.
This operation is published from reviewed repository contracts. Source metadata is included for traceability without exposing internal implementation details.